## org.biojavax.bio.phylo.io.nexus
Class NexusBlock.Abstract

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlock.Abstract

All Implemented Interfaces:
  NexusBlock, NexusObject

Direct Known Subclasses:
  CharactersBlock, DistancesBlock, TaxaBlock, TreesBlock

Enclosing interface:
  NexusBlock

    public abstract static class NexusBlock.Abstract

extends Object
implements NexusBlock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlock
`NexusBlock.Abstract`

Constructor Summary
`NexusBlock.Abstract(String blockName)` Construct a block with a given name.

Method Summary
`String` `getBlockName()` Get the block name.
`protected abstract void` `writeBlockContents(Writer writer)` Implement this to write out block contents, not including the BEGIN and END tags.
`void` `writeObject(Writer writer)` Writes this object to the given writer.
`protected void` `writeToken(Writer writer, String token)` Writes a token and correctly substitutes all symbols in it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NexusBlock.Abstract

    public NexusBlock.Abstract(String blockName)

  Construct a block with a given name.

  Parameters:
    `blockName` - the name to give the block.

Method Detail

### getBlockName

    public String getBlockName()

  Description copied from interface: `NexusBlock`
  Get the block name.

  Specified by:
    `getBlockName` in interface `NexusBlock`
  Returns:
    the block name.

### writeObject

    public void writeObject(Writer writer)
                     throws IOException

  Description copied from interface: `NexusObject`
  Writes this object to the given writer.

  Specified by:
    `writeObject` in interface `NexusObject`
  Parameters:
    `writer` - the writer to write to.
  Throws:
    `IOException` - if it could not be written.

### writeToken

    protected void writeToken(Writer writer,
                              String token)
                       throws IOException

  Writes a token and correctly substitutes all symbols in it.

  Parameters:
    `writer` - the writer to write to.
    `token` - the token to write.
  Throws:
    `IOException` - if writing failed.

### writeBlockContents

    protected abstract void writeBlockContents(Writer writer)
                                        throws IOException

  Implement this to write out block contents, not including the BEGIN and END tags.

  Parameters:
    `writer` - the writer to write to.
  Throws:
    `IOException` - if writing failed.